Bug 19753 - Wrong path in config + Problems with db3
Summary: Wrong path in config + Problems with db3
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm2html   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-25 14:00 UTC by Matthias Saou
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-06 21:51:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Saou 2000-10-25 14:00:08 UTC
Just like in webalizer, the path where the created pages should go in the
default config file
is still /home/httpd/html instead of /var/www/html. This shouldn't be too
long to fix ;)
One other problem is the non-critical "rpm2html: Symbol `rpmTagTable' has
different
size in shared object, consider re-linking" message when rpm2html starts...
And the last one is that the [localbase] part in the default config file
doesn't work. Here
is the error message I get :

[dude@marmotte dude]$ rpm2html /etc/rpm2html.config 
rpm2html: Symbol `rpmTagTable' has different size in shared object,
consider re-linking
Created directory "/var/www/html/rpms/local"
Scanning the database of installed RPMs
cannot open Packages index using db3 - No such file or directory (2)

--> The rpm database cannot be opened in db3 format.
    If you have just upgraded the rpm package you need to convert
    your database to db3 format by running "rpm --rebuilddb" as root.

Could it be that the rpm database has changed places? format? The default
config file
searches for the rpm database in /usr/lib/rpm

Matthias

Comment 1 Jeff Johnson 2001-01-06 21:51:31 UTC
You need to get versions of rpm2html and rpm that are in sync with each other.
I'd
suggest installing the Red Hat 7.0 packages.

Comment 2 Daniel Veillard 2001-07-17 23:34:00 UTC
All this seems fixed in recent releases, let's close this bug.

Daniel


Note You need to log in before you can comment on or make changes to this bug.